summaryrefslogtreecommitdiff
path: root/update_icons.sh
diff options
context:
space:
mode:
authorJustin R. Miller <incanus@codesorcery.net>2014-11-11 16:21:07 -0800
committerJustin R. Miller <incanus@codesorcery.net>2014-11-11 16:21:07 -0800
commit0f4bd9a33237ee4a7ad03b283394c9e4ff682426 (patch)
tree31d6280fffbf43db2a382f4a1be13e3114316570 /update_icons.sh
parent918f590d9b26a24b89672791e2c3bd629c96da89 (diff)
downloadqtlocation-mapboxgl-0f4bd9a33237ee4a7ad03b283394c9e4ff682426.tar.gz
add dev icon burning
Diffstat (limited to 'update_icons.sh')
-rwxr-xr-xupdate_icons.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/update_icons.sh b/update_icons.sh
new file mode 100755
index 0000000000..7940aacc28
--- /dev/null
+++ b/update_icons.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+export PATH=$HOME/bin:/usr/local/bin:/usr/bin:/bin
+
+if [[ -z `which iconoblast` ]]; then
+ echo "Requires https://github.com/mapbox/iconoblast!"
+ exit 1
+fi
+
+commit=`git rev-parse --short HEAD`
+branch=`git rev-parse --abbrev-ref HEAD`
+repo=`git remote show origin | grep 'Fetch URL' | sed -e 's/.*github\.com:mapbox\///' -e 's/\.git$//' -e 's/^mapbox-//'`
+
+pwd=`pwd`
+cd android/java/app/src/main/res
+for folder in `find . -type d -name drawable-\* -maxdepth 1`
+do
+ cd ${folder}
+ cp icon.png icon_burned.png
+ iconoblast icon_burned.png $commit $branch $repo
+ cd ..
+done
+cd ${pwd}